package com.uas.report.axis;

import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.Map;

import javax.activation.DataSource;

public interface ResourceHandler {

	public Class<?> getResourceType();

	public ResourceDescriptor put(Request request) throws FileNotFoundException, IOException;

	public void delete(ResourceDescriptor descriptor) throws IOException;

	public ResourceDescriptor move(Request request);

	public ResourceDescriptor copy(Request request);

	public Map<String, DataSource> getAttachments(Map<String, String> arguments, ResourceDescriptor descriptor)
			throws WSException;
}
